Skip to content
Back to top
View this page

# Attribute

class Attribute

  Available in `Program.__getitem__()`

  Represents a program input attribute.

Attribute.location: int

  The location of the attribute. The result of the glGetAttribLocation.

Attribute.array_length: int

  If the attribute is an array the array_length is the length of the array otherwise 1.

Attribute.dimension: int

  The attribute dimension.

Attribute.shape: str

  The shape is a single character, representing the scalar type of the attribute. It is either `'i'` (int), `'f'` (float), `'I'` (unsigned int), `'d'` (double).

Attribute.name: str

  The attribute name.

  The name will be filtered to have no array syntax on it’s end. Attribute name without `'[0]'` ending if any.

Attribute.extra: Any

  User defined data.